%%%-------------------------------------------------------------------
-module(xml_attribute_test).

-export([
         invalid_xml_test/0
        ]).

%%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
read_xml(FileName) ->
    {ok, Schema} = xmerl_xsd:process_schema("ecss_routing.xsd"),
    {ok, BXml} = file:read_file(FileName),
    Xml = erlang:binary_to_list(BXml),
    {XmerXml, _} = xmerl_scan:string(Xml),
    xmerl_xsd:validate(XmerXml, Schema).
%%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
invalid_xml_test() ->
    Result = read_xml("ctx_megaco.xml"),
    io:format("~p~n", [Result]).
%%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

